Description

Often we have duplicate workflows across roles and trackers.  I'd like to be able to:

a) copy workflows from one role to another within a tracker

b) copy workflows for one role in tracker a to another role in tracker b

Related issues:

Has duplicate Redmine - Feature #4170: To give an option of coping issue work... Closed 2009-11-05

Associated revisions

Revision 3154 - 2009-12-12 11:06 - Jean-Philippe Lang

Adds workflow copy functionality (#1727).

History

#1 - 2008-08-01 19:01 - Stephanie Collett

+! Adding a few more roles, trackers, and statuses has really increased the complexity of managing the workflows/roles/trackers/issue statuses. It

would also be nice to be able limit the number of statuses associated with a tracker. For instance, we have a tracker called 'task' and only new,

assigned, and done (custom status) need to be in the workflow for all roles.

#2 - 2008-09-27 12:04 - Ewan Makepeace

+1

There is a nasty exponential effect that kicks in once you start to use Redmine for real. Example - I am running two instances. On each I have stuck

with the basic 3 roles and 3 trackers but have about 10 status values.

That means I have 2 x 3 x 3 x 10 x 10 checkboxes to manage (1800 in all) - and the interface is neither convenient nor helpful. We badly need the

following conveniences:

1. Turn of statuses by tracker to simplify the matrix.

2. Make the 'Select All' option not check the options that fall on the 1:1 diagonal (indicating no change of status).

3. Add an option to copy workflow from role to role and tracker to tracker (as requested above).

4. Add an option to create a new tracker as a copy of an existing one.

5. Add an option to create a new Role as a copy of an existing one.

#3 - 2008-09-28 10:44 - Jean-Philippe Lang

Ewan, 4. and 5. are already implemented (r1252). When creating a new role or tracker, you can select an existing one to copy its entire workflow.

#4 - 2008-09-29 06:08 - Ewan Makepeace

Ouch! My apologies - I had completely missed those features...

However after reflection I think this feature would be more clear if it was exposed either in the list views (as a copy icon or button on each row) or at

least as an option on the detail view page for each tracker or role. I find it less intuitive that I first start a new tracker or role and am only then given the

option to copy another similar instance.

[Sour grapes I know, but I had never made a new instance of those types (out of fear) and so did not know that copying was possible].

#5 - 2008-09-29 10:16 - Sergej Jegorov

+1

#6 - 2008-09-30 10:29 - Ingmar Heinrich
+1

#7 - 2009-02-23 16:35 - James Byrne

One thing that I have noticed is that revising an existing work flow causes an immense amount of busy work to adjust the associated trackers and

participants.

Given just four roles, manager, developer, tester and documenter, and six trackers, branch, bug, documentation, feature, patch and support, adding

just one issue status (open) requires potentially 24 edit sessions dealing with seven existing issues plus the new one.  Most of subsequent sessions

will likely duplicate all, or at least much of the first.

It would be very useful if one could have the option of applying a specific workflow to selected role:tracker combinations and then editing the result.  A

copy from (role:tracker) type action would suffice I think.

#8 - 2009-03-25 11:33 - Alan Franzoni

+1

I think there should be an easier way to manage workflows, or they could quickly become impossible to maintain.

Those are my proposals

"check all" on the gui for columns and rows (select all checkboxes in a single row or column - something like Excel select all cells when clicking

on row number or column letter)

workflow templates (those should be editable separately from "real workflows")

ability to do "live" copy (not just at creation time) for a tracker from a workflow template or from another existing workflow. Once copied, any

change can be done without being reflected to the template or the other existing workflow.

ability to link a workflow to a workflow template or another existing workflow. If such link exists, any change to the template or the existing

workflow will be reflected instantly to any linked workflow.

Even though this may be complex at implementation time, I think it will make it way better when using the software.

#9 - 2009-06-04 10:25 - Christopher Monk

+1

#10 - 2009-12-12 11:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Workflow copy added in r3154.
